Bug 256341 - Review Request: micq - Text/line based ICQ client with many features
Review Request: micq - Text/line based ICQ client with many features
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 08:27 EDT by Jan ONDREJ
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 09:04:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
patch for micq 0.5.4.2 to fix glibc open issue (8.26 KB, text/x-patch)
2007-09-05 12:13 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Jan ONDREJ 2007-08-27 08:27:36 EDT
Spec URL: http://www.salstar.sk/pub/fedora/SPECS/micq.spec
SRPM URL: http://www.salstar.sk/pub/fedora/SRPMS/7/micq-0.5.4.2-1.fc7.src.rpm
Description: 
mICQ is a portable, small, yet powerful console based ICQ client. It
supports password changing, auto-away, creation of new accounts, searching,
file transfer, acknowledged messages, SMS, client identification, logging,
scripting, transcoding, multi-UIN usage and other features that makes it a
very complete yet simple internationalized client supporting the current
ICQ v8 protocol.

It has leading support for (ICQ2002+/ICQ Lite/ICQ2go) unicode encoded
messages unreached by other ICQ clones.

A lot of other ICQ clients are based in spirit on mICQ, nevertheless
mICQ is still _the_ console based ICQ client.
Comment 1 Mamoru TASAKA 2007-09-04 15:44:18 EDT
Some random comments for 0.5.4.2-1:

* %changelog place
  - Please write %changelog at the last of the spec file.
    %changelog will get longer and longer in the future
    and writing %changelog in the middle of the spec file
    makes it difficult to check the spec file easily.

* Unneeded macro
  - Fedora surely has gnutls-devel, tcl-devel and
    _without_ssl macro or so are redundant.

* Parallel make
  - Support parallel make when possible (check the section
    "Parallel make" of
    http://fedoraproject.org/wiki/Packaging/Guidelines )

! From build.log: (available from:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=147235
  http://koji.fedoraproject.org/scratch/mtasaka/task_147235/ )

  * Possibly missing BuildRequires:
------------------------------------------------------
checking for libotr LIBS...  -lotr
checking for libotr headers version 3.x >= 3.0.0... not present.
checking for otrl_message_receiving in -lotr... no
------------------------------------------------------
   - Perhaps libotr-devel is missing from BuildRequires.

  * compilation flags
------------------------------------------------------
make[1]: Entering directory `/builddir/build/BUILD/micq-0.5.4.2/src'
gcc -DHAVE_CONFIG_H -I. -I../include    -DPKGDATADIR='"/usr/share/micq"'
-I../include -O4 -Wall -c -o autopackage_prefix.o autopackage_prefix.c
-------------------------------------------------------
    - Fedora specific compilation flags are not honored
      (please check: "Compiler flags" of
       http://fedoraproject.org/wiki/Packaging/Guidelines )
      ! Note that %configure sets CFLAGS as environment.
        Please check what %configure actually does by
        "rpm --eval %configure".
    - (On Fedora) compilation flag "-O4" is forbidden. This makes debugging
      difficult.

* Lang specific files
--------------------------------------------------------
%files
%{_mandir}/*/man?/*
--------------------------------------------------------
  - Language specific files should be mark properly as %lang(foo),
    e.g.
--------------------------------------------------------
%lang(de) %{_mandir}/de/man?/*
--------------------------------------------------------

* Non-utf8 files
--------------------------------------------------------
micq.i386: W: file-not-utf8 /usr/share/man/uk/man7/micq.7.gz
micq.i386: W: file-not-utf8 /usr/share/man/ru/man7/micq.7.gz
micq.i386: W: file-not-utf8 /usr/share/man/sk/man1/micq.1.gz
micq.i386: W: file-not-utf8 /usr/share/man/sk/man5/micqrc.5.gz
micq.i386: W: file-not-utf8 /usr/share/man/ru/man1/micq.1.gz
micq.i386: W: file-not-utf8 /usr/share/man/sk/man7/micq.7.gz
micq.i386: W: file-not-utf8 /usr/share/man/it/man1/micq.1.gz
micq.i386: W: file-not-utf8 /usr/share/man/uk/man1/micq.1.gz
micq.i386: W: file-not-utf8 /usr/share/man/ru/man5/micqrc.5.gz
micq.i386: W: file-not-utf8 /usr/share/man/pt_BR/man5/micqrc.5.gz
micq.i386: W: file-not-utf8 /usr/share/man/pt_BR/man1/micq.1.gz
micq.i386: W: file-not-utf8 /usr/share/man/pt_BR/man7/micq.7.gz
----------------------------------------------------------
   - These files are not encoded with UTF-8. Please change
     the encoding to UTF-8.

* Questionable permission
-----------------------------------------------------------
micq.i386: W: spurious-executable-perm
/usr/share/doc/micq-0.5.4.2/example-micq-event-script
-----------------------------------------------------------
   - Usually documents should not have executable permission.

* EVR in the changelog
  - Please add EVR (Epoch:Version:Releae) infomation in the %changelog.
    For example:
-----------------------------------------------------------
* Sun Aug 26 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.5.4.2-1
- rpmlint cleanups
-----------------------------------------------------------
    Note: please increment release number (when version does not
          change) each time you modify your spec/srpm.
Comment 2 Jan ONDREJ 2007-09-05 08:05:26 EDT
I think all problems have been solved.

Permissions for example-micq-event-script have been not changed, because it is
not a real usable script, only an example. An user need to copy this script and
update it and then he can fix permissions for its copy.

Changelog:
* Wed Sep 05 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.5.4.2-2
- changelog section moved to end of spec file
- compilation condition removed
- paralel compilation support added
- libotr-devel added to BuildRequires to build package on f8 too
- compilation flags updated (-O4 removed)
- man files converted to UTF-8
- added lang macros for man pages
- EVR added to changelog entries

New SRPM: http://www.salstar.sk/pub/fedora/SRPMS/7/micq-0.5.4.2-2.fc7.src.rpm
Spec file location has been not changed (only content updated).
Comment 3 Mamoru TASAKA 2007-09-05 12:13:15 EDT
Created attachment 187671 [details]
patch for micq 0.5.4.2 to fix glibc open issue
Comment 4 Mamoru TASAKA 2007-09-05 12:15:02 EDT
Well, lookingly much better!!

For 0.5.4.2-2:

A. Build issue:
1. glibc "open" issue:
  - This time, rebuild for 0.5.4.2-2 fails:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=148606
    This is rawhide glibc (2.6.90) "open(2)" change (related
    discussion here)
    http://www.redhat.com/archives/fedora-maintainers/2007-August/msg00265.html

    The attached patch should solve this problem.

    Note: the reason -1 did not fail is because -1 did not
    pass "-Wp,-D_FORTIFY_SOURCE=2" correctly.

2. Missing BuildRequires
   - And even after my patch is applied, the build still fails:
     http://koji.fedoraproject.org/koji/taskinfo?taskID=148844

     /usr/bin/enconv is in enca package and at least
     "BuildRequires: enca" is needed.

B. Then:
* Description stage
--------------------------------------------------------
Authors: Matthew D. Smith (deceased)
         Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
--------------------------------------------------------
  - This description is not needed. "AUTHORS" document is enough.

* Encoding
  - Still some man files are in diffferent encodings.
--------------------------------------------------------
micq.i386: W: file-not-utf8 /usr/share/man/it/man1/micq.1.gz
micq.i386: W: file-not-utf8 /usr/share/man/pt_BR/man5/micqrc.5.gz
micq.i386: W: file-not-utf8 /usr/share/man/pt_BR/man1/micq.1.gz
micq.i386: W: file-not-utf8 /usr/share/man/pt_BR/man7/micq.7.gz
--------------------------------------------------------

* Timestamps
  - This package installs many text files (and so on) and
    keeping timestamps on those files are preferable.
    The following will keep them.
----------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
----------------------------------------------------------

Then, as this is a "sponsor needed" ticket:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------

Comment 5 Jan ONDREJ 2007-09-06 03:51:35 EDT
OK, new update ChangeLog:
- added forgotten enca to BuildRequires
- updated description (removed author)
- install keeps file tempstamps

New package URL:
  http://www.salstar.sk/pub/fedora/SRPMS/7/micq-0.5.4.2-3.fc7.src.rpm

I am unable to detect, which encoding has been used for mentioned man pages.
Author of micq has been contacted to give me more information and contacting man
page authors is planned. Before they tell me more, I can't update them. :(

Where I need to put reviewed package bug numbers? Here?
There is one (mondo): 187318

Can you tell me how your report reviews has been generated? They are very nice. :)
Comment 6 Mamoru TASAKA 2007-09-06 11:11:37 EDT
(In reply to comment #5)
> New package URL:
>   http://www.salstar.sk/pub/fedora/SRPMS/7/micq-0.5.4.2-3.fc7.src.rpm
> 
> I am unable to detect, which encoding has been used for mentioned man pages.

I guess that the encoding is actually ISO-8859-1, however it seems
that the usage of "convmv" is wrong. It seems that the lines
-------------------------------------------------
convmv -f iso8859-1 -t UTF-8 -r doc/de/
convmv -f iso8859-1 -t UTF-8 -r doc/pt_BR/
convmv -f iso8859-1 -t UTF-8 -r doc/it/
-------------------------------------------------
actually do nothing. Would you just use normal "iconv"?
Comment 7 Mamoru TASAKA 2007-09-06 11:23:43 EDT
(In reply to comment #5)
> Can you tell me how your report reviews has been generated? 
> They are very nice. :)

How? Well, I don't know how to answer to this question, however:
* First we have to check 
  http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
  http://fedoraproject.org/wiki/Packaging/Guidelines
  and "so on". Actually there are many cases in which we also
  have to check other guidelines, mostly under:
  http://fedoraproject.org/wiki/Packaging/

* Then I just say that we come to know how to review requests
  and to write the review results after we try more and more reviews :)
  Actually I have reviewed more that 170 packages.

  Some reviewers use some templates for reviews, while I don't use
  templates...

Comment 8 Jan ONDREJ 2007-09-06 11:31:26 EDT
> I guess that the encoding is actually ISO-8859-1, however it seems
> that the usage of "convmv" is wrong. It seems that the lines
> actually do nothing. Would you just use normal "iconv"?

Yes, done. You are right, that convmv is wrong.

http://www.salstar.sk/pub/fedora/SRPMS/7/micq-0.5.4.2-3.fc7.src.rpm

rpmlint now says only a warning about example script in documentation, which can
be OK by me.

Anything else wrong in this package? :-)
Comment 9 Jan ONDREJ 2007-09-06 11:32:22 EDT
Oops, wrong URL, sorry.

http://www.salstar.sk/pub/fedora/SRPMS/7/micq-0.5.4.2-4.fc7.src.rpm
Comment 10 Jan ONDREJ 2007-09-06 11:36:39 EDT
(In reply to comment #7)
> (In reply to comment #5)
> > Can you tell me how your report reviews has been generated? 
> > They are very nice. :)
> 
> How? Well, I don't know how to answer to this question, however:

They looked very nice for me and I think, you are using an automated tool except
rpmlint. :-)

Now I can work better with rpmlink (after more reviews) and I am able to make
similiar reports, but I am too lazy to write that nice as you. :-)

> * First we have to check 
>   http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
>   http://fedoraproject.org/wiki/Packaging/Guidelines
>   and "so on". Actually there are many cases in which we also
>   have to check other guidelines, mostly under:
>   http://fedoraproject.org/wiki/Packaging/

Done.

> * Then I just say that we come to know how to review requests
>   and to write the review results after we try more and more reviews :)
>   Actually I have reviewed more that 170 packages.

Hmm, is is more tham 4% of all Fedora packages. Good work. :-)

OK, there are my another reviews:
        250904  fuse-python - Python bindings for FUSE
        254142  OpenSER - Open Source SIP Server

and my first approved package:
        280211  aspell-sk - Slovak dictionaries for Aspell
Comment 11 Mamoru TASAKA 2007-09-06 12:15:03 EDT
Okay.

--------------------------------------------------------
   This package (micq) is APPROVED by me
--------------------------------------------------------

==============================================
  This package (ice) is APPROVED by me
==============================================
Please follow the procedure according to:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor (at the stage, please also write on
this bug for confirmation that you requested for sponsorship)
Then I will sponsor you.

If you want to import this package into Fedora 7, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on Fedora rebuilding system).

If you have questions, please ask me.
Comment 12 Mamoru TASAKA 2007-09-06 12:15:49 EDT
(In reply to comment #11)
> ==============================================
>   This package (ice) is APPROVED by me
> ==============================================

Please ignore this line... 
Comment 13 Jan ONDREJ 2007-09-06 14:07:40 EDT
New Package CVS Request
=======================
Package Name: micq
Short Description: Text/line based ICQ client with many features
Owners: ondrejj
Branches: FC-6 F-7
InitialCC: 
Cvsextras Commits: yes
Comment 14 Kevin Fenzi 2007-09-06 15:38:42 EDT
cvs done.
Comment 15 Mamoru TASAKA 2007-09-12 11:25:48 EDT
* Please rebuild this package also on devel repo
* For F-7 repo, please request to move from testing to stable repo.

After you successfully rebuild this on devel, please close this
bug as NEXTRELEASE.
Comment 16 Jan ONDREJ 2007-09-12 15:00:52 EDT
(In reply to comment #15)
> * Please rebuild this package also on devel repo
Done.

> * For F-7 repo, please request to move from testing to stable repo.
Done.

> After you successfully rebuild this on devel, please close this
> bug as NEXTRELEASE.
And what with FC6 package?

Is it possible to release micq for FC6 too? I have built it in but it is in
"needsign" state. Is there a bodhi or something similiar for FC6?
Comment 17 Mamoru TASAKA 2007-09-12 15:11:38 EDT
(In reply to comment #16)
> (In reply to comment #15)
> > * Please rebuild this package also on devel repo
> Done.
Confirmed.

> > * For F-7 repo, please request to move from testing to stable repo.
> Done.
Confirmed.

> > After you successfully rebuild this on devel, please close this
> > bug as NEXTRELEASE.
> And what with FC6 package?
> 
> Is it possible to release micq for FC6 too? I have built it in but it is in
> "needsign" state. Is there a bodhi or something similiar for FC6?
I checked and micq is already pushed into FE-6 repo.

Now this bug can be closed.
Comment 18 Jan ONDREJ 2007-09-17 03:56:39 EDT
I removed my request to release micq to stable updates, because micq has been
renamed to climm.

New spec and SRPM can be found here:
http://www.salstar.sk/pub/fedora/SPECS/climm.spec
http://www.salstar.sk/pub/fedora/SRPMS/7/climm-0.6-1.fc7.src.rpm

Changelog:
* Mon Sep 17 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6-1
- package renamed to climm
- glibc-open patch updated for new name
- added obsolete for micq

What to do now? Do I need to open a new Review request for climm and close this?
Comment 19 Mamoru TASAKA 2007-09-17 04:10:04 EDT
Well, do avoid confusion, please close this bug again and open a new review
request for climm, and add me to CC-list.
Comment 20 Mamoru TASAKA 2007-09-17 04:10:29 EDT
(In reply to comment #19)
> Well, do avoid confusion, 
s/do/to
Comment 21 Jan ONDREJ 2007-09-17 04:59:21 EDT
Closing this bug as duplicate with climm review request.

*** This bug has been marked as a duplicate of 292851 ***
Comment 22 Mamoru TASAKA 2007-09-17 09:04:23 EDT
(For review request tracking, changing status to NEXTRELEASE again)

Note You need to log in before you can comment on or make changes to this bug.